#!/bin/sh

if [ -f "$1" ]; then
    cur_board=`factory board`
    case "$cur_board"  in
        "WOP-2ac-LR2")          board_type="WOP-2ac-LR2";;
        "WOP-2ac-LR2 SYNC")     board_type="WOP-2ac-LR2";;
        "WOP-2ac-LR5")          board_type="WOP-2ac-LR5";;
        "WOP-2ac-LR5:rev.B")    board_type="WOP-2ac-LR5";;
        "WOP-2ac-LR5 SYNC")     board_type="WOP-2ac-LR5";;
        "WOP-2ac-LR6")          board_type="WOP-2ac-LR6";;
        "WB-2P-LR6")            board_type="WB-2P-LR6";;
        "WOP-2L")               board_type="WOP-2L";;
        "WEP-2L")               board_type="WEP-2L";;
        "WEP-1L")               board_type="WEP-1L";;
        "WB-15-W")              board_type="WB-15-W";;
        "WB-15-W2")             board_type="WB-15-W2";;
    esac

    if [ -z "$board_type" ]; then
        echo "UPGRADE FAIL: wrong factory settings"
        exit 0;
    fi

    fmw_type=`cat $1`
    if [ "$fmw_type" != "$board_type" ]; then
        echo "UPGRADE FAIL: firmware for $fmw_type but board is $cur_board"
        exit 0;
    fi
fi

exit 1;
